Package com.ziclix.python.sql

# Class FilterDataHandler

java.lang.Object
com.ziclix.python.sql.DataHandler
com.ziclix.python.sql.FilterDataHandler

Direct Known Subclasses:
  `JDBC20DataHandler`, `JDBC30DataHandler`

public abstract class FilterDataHandler extends DataHandler
A FilterDataHandler contains some other DataHandler, which it uses as its basic source of functionality, possibly transforming the calls along the way or providing additional functionality. The class FilterDataHandler itself simply overrides all methods of DataHandler with versions that pass all requests to the contained data handler.

Author:
  brian zimmer

## Constructor Summary

Constructors
Constructor
Description
`FilterDataHandler(DataHandler delegate)`
Constructor FilterDataHandler

## Method Summary

Modifier and Type
Method
Description
`PyObject`
`__chain__()`
Returns a list of datahandlers chained together through the use of delegation.
`PyObject`
`getPyObject(ResultSet set, int col, int type)`
Method getPyObject
`PyObject`
`getRowId(Statement stmt)`
Returns the row id of the last executed statement.
`void`
`postExecute(Statement stmt)`
Method postExecute
`void`
`preExecute(Statement stmt)`
Method preExecute
`void`
`setJDBCObject(PreparedStatement stmt, int index, PyObject object)`
Method setJDBCObject
`void`
`setJDBCObject(PreparedStatement stmt, int index, PyObject object, int type)`
Method setJDBCObject

### Methods inherited from class com.ziclix.python.sql.DataHandler

`checkNull, getMetaDataName, getProcedure, getPyObject, getSystemDataHandler, read, read, registerOut, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### FilterDataHandler

public FilterDataHandler(DataHandler delegate)
Constructor FilterDataHandler

Parameters:
  `delegate` -

## Method Details

### getRowId

public PyObject getRowId(Statement stmt) throws SQLException
Returns the row id of the last executed statement.

Overrides:
  `getRowId` in class `DataHandler`
Parameters:
  `stmt` -
Returns:
  PyObject
Throws:
  `SQLException`

### preExecute

public void preExecute(Statement stmt) throws SQLException
Method preExecute

Overrides:
  `preExecute` in class `DataHandler`
Parameters:
  `stmt` -
Throws:
  `SQLException`

### postExecute

public void postExecute(Statement stmt) throws SQLException
Method postExecute

Overrides:
  `postExecute` in class `DataHandler`
Parameters:
  `stmt` -
Throws:
  `SQLException`

### setJDBCObject

public void setJDBCObject(PreparedStatement stmt, int index, PyObject object) throws SQLException
Method setJDBCObject

Overrides:
  `setJDBCObject` in class `DataHandler`
Parameters:
  `stmt` -
  `index` -
  `object` -
Throws:
  `SQLException`

### setJDBCObject

public void setJDBCObject(PreparedStatement stmt, int index, PyObject object, int type) throws SQLException
Method setJDBCObject

Overrides:
  `setJDBCObject` in class `DataHandler`
Parameters:
  `stmt` -
  `index` -
  `object` -
  `type` -
Throws:
  `SQLException`

### getPyObject

public PyObject getPyObject(ResultSet set, int col, int type) throws SQLException
Method getPyObject

Overrides:
  `getPyObject` in class `DataHandler`
Parameters:
  `set` -
  `col` -
  `type` -
Returns:
  PyObject
Throws:
  `SQLException`

### __chain__

public PyObject __chain__()
Returns a list of datahandlers chained together through the use of delegation.

Overrides:
  `__chain__` in class `DataHandler`
Returns:
  a list of datahandlers chained together through the use of delegation